.page {
	display: grid;
	min-height: 100vh;
	grid-template-columns: 100px 1fr 300px;
	grid-template-rows: auto 1fr auto;
	grid-template-areas:
		'navigation header header'
		'navigation main aside'
		'navigation footer footer';
	background-color: black;
}

.page__header {
	grid-area: header;
	background-color: #ffd700;
}

.page__navigation {
	grid-area: navigation;
	display: flex;
	flex-direction: column;
	gap: 30px;

	background-color: #7b68ee;
}

.page__navigation i {
	padding: 10px;
	text-align: center;
	font-size: 50px;
	transition: 0.3s;
	cursor: pointer;
}

.page__navigation i:hover {
	background-color: #00ff7f;
}

.page__main {
	grid-area: main;
	background-color: #8b008b;
}

.page__aside {
	grid-area: aside;
	background-color: #ff00ff;
}

.page__footer {
	grid-area: footer;
	background-color: #ff6347;
}

/* Media */

@media (max-width: 1080px) {
	.page {
		grid-template-columns: 1fr 300px;
		grid-template-rows: auto auto 1fr auto;
		grid-template-areas:
			'header header'
			'navigation aside '
			'main aside'
			'footer footer';
		background-color: black;
	}

	.page__navigation {
		flex-direction: row;
		justify-content: center;
		flex-wrap: wrap;
		gap: 0 10px;

		background-color: #7b68ee;
	}

	.page__navigation i {
		font-size: 24px;
	}
}

@media (max-width: 760px) {
	.page {
		grid-template-columns: 1fr;
		grid-template-rows: auto auto 1fr auto auto;
		grid-template-areas:
			'header'
			'navigation '
			'main'
			'aside'
			'footer';
		background-color: black;
	}
}
